Functions | Variables

# textbuf.cpp File Reference

Textbuffer handling. More...

`#include "stdafx.h"`
`#include <stdarg.h>`
`#include "textbuf_type.h"`
`#include "string_func.h"`
`#include "strings_func.h"`
`#include "gfx_type.h"`
`#include "gfx_func.h"`
`#include "window_func.h"`
`#include "core/alloc_func.hpp"`

Go to the source code of this file.

## Functions
bool | GetClipboardContents (char *buffer, size_t buff_len)
| Try to retrieve the current clipboard contents.
## Variables
int | _caret_timer

## Detailed Description

Textbuffer handling.

Definition in file textbuf.cpp.

## Function Documentation

bool GetClipboardContents | ( | char * | buffer,
|  | size_t | buff_len |
| ) |  |  |

Try to retrieve the current clipboard contents.

Note:
  OS-specific function.

Returns:
  True if some text could be retrieved.

Definition at line 178 of file os2.cpp.

References FS2OTTD(), and ttd_strlcpy().

Referenced by Textbuf::InsertClipboard().